Page MenuHomePhabricator

[LoongArch] Add LoongArch support to update_llc_test_checks
ClosedPublic

Authored by wangleiat on Jun 23 2022, 5:19 AM.

Details

Summary

Add LoongArch assembly scrubbing and triple support to update_llc_test_checks.

Depends on D128432

Diff Detail

Event Timeline

wangleiat created this revision.Jun 23 2022, 5:19 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 23 2022, 5:19 AM
wangleiat requested review of this revision.Jun 23 2022, 5:19 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 23 2022, 5:19 AM
wangleiat updated this revision to Diff 440107.Jun 26 2022, 8:47 PM

Update test to use opaque pointers

MaskRay accepted this revision.Jun 30 2022, 11:21 PM
MaskRay added inline comments.
llvm/test/tools/UpdateTestChecks/update_llc_test_checks/Inputs/loongarch_function_name.ll
3

The convention does not add otherwise empty ;

This revision is now accepted and ready to land.Jun 30 2022, 11:21 PM
xen0n added inline comments.Jul 1 2022, 11:23 AM
llvm/test/tools/UpdateTestChecks/update_llc_test_checks/Inputs/loongarch_function_name.ll
3

You mean that by convention this line should be removed? I grepped the nearby test cases but it seems most are actually including these ; lines.

MaskRay added inline comments.Jul 1 2022, 11:25 AM
llvm/test/tools/UpdateTestChecks/update_llc_test_checks/Inputs/loongarch_function_name.ll
3

They deviate from the convention. I will remove them

xen0n added inline comments.Jul 1 2022, 11:29 AM
llvm/test/tools/UpdateTestChecks/update_llc_test_checks/Inputs/loongarch_function_name.ll
3

Hmm it may be appropriate for the patch author to rebase after your cleanup lands then; otherwise I fear introducing local inconsistency just for being consistent with a future change.

MaskRay added inline comments.Jul 1 2022, 11:43 AM
llvm/test/tools/UpdateTestChecks/update_llc_test_checks/Inputs/loongarch_function_name.ll
3

removed

xen0n added inline comments.Jul 1 2022, 11:55 AM
llvm/test/tools/UpdateTestChecks/update_llc_test_checks/Inputs/loongarch_function_name.ll
3

Wow that was quick ;-) Now it's the author's turn to convert the ; lines to simple empty lines...

@xen0n @MaskRay Thanks so much for your time reviewing the patches until late at night. Let us rebase the patch.

wangleiat updated this revision to Diff 441858.Jul 1 2022, 7:42 PM

Address @MaskRay's comments.

xen0n accepted this revision.Jul 2 2022, 12:49 AM

Thanks!

This revision was landed with ongoing or failed builds.Jul 6 2022, 2:27 AM
This revision was automatically updated to reflect the committed changes.